# -*- coding:utf-8 -*-

import tornado.web
# from pycate.core import pycate_cfg
# from pycate.model.catalog_model import MCatalog
from pycate.core import base_handler
# from torlite.core import tools
import config


class DeleteHandler(base_handler.PycateBaseHandler):
    def initialize(self, hinfo=''):
        self.init_condition(config.mongo_collection_name)
        # self.mcat = MCatalog()

    def get(self, input=''):
        if len(input) == 36:
            inf = self.minfo.get_by_id(input)
            if inf is None:
                self.render('html/404.html')
                return
            self.delete(input)
        else:
            self.render('html/404.html')

    def is_editable(self, info):
        if info['userid'] == self.userinfo.user_name or self.userinfo.privilege[4] == '1':
            # 谁发布的谁编辑
            return True
        return False

    @tornado.web.authenticated
    def delete(self, infoid):

        post_data = self.minfo.get_by_id(infoid)

        if self.is_editable(post_data):
            if self.minfo.delete(infoid):
                self.redirect('/list/{0}'.format(post_data['catid'][0]))
            else:
                return False
        else:
            return False
