#!/usr/bin/env python

from setuptools import setup, find_packages

setup(
    name='pycate',
    version='0.1.5',
    keywords=('pycate', 'tornado'),
    description='Classified website program based on Python 3, Tornado and torlite.',
    license='MIT License',

    url='https://github.com/bukun/pycate',
    author='bukun',
    author_email='bukun@osgeo.cn',

    packages=find_packages(),
    include_package_data=True,
    platforms='any',
    zip_safe=True,
    install_requires=['torlite', 'pymongo'],

    classifiers=[
        # How mature is this project? Common values are
        #   3 - Alpha
        #   4 - Beta
        #   5 - Production/Stable
        'Development Status :: 3 - Alpha',

        # Indicate who your project is intended for
        'Intended Audience :: Developers',
        'Topic :: Software Development :: Build Tools',

        # Pick your license as you wish (should match "license" above)
        'License :: OSI Approved :: MIT License',

        # Specify the Python versions you support here. In particular, ensure
        # that you indicate whether you support Python 2, Python 3 or both.
        'Programming Language :: Python :: 3',
        'Programming Language :: Python :: 3.4',
        'Programming Language :: Python :: 3.5',
    ],
)
